MP4(3)

NAME

MP4AddTrack - Add a user defined track

SYNTAX

#include <mp4.h>

MP4TrackId MP4AddTrack(
    MP4FileHandle hFile,
    const char* type
)

ARGUMENTS

hFile
    Specifies the mp4 file to which the operation applies.

type
    Specifies the type of track to be added.

RETURN VALUES

Upon success, the track id of the new track. Upon an error, MP4_INVALID_TRACK_ID.

DESCRIPTION

MP4AddTrack adds a user defined track to the mp4 file. Care should be taken to avoid any of the standardized track type names. A useful convention is use only uppercase characters for user defined track types. The string should be exactly four characters in length, e.g. "MINE".

Note this should not be used to add any of the known track types defined in the MP4 standard (ISO/IEC 14496-1:2001).

SEE ALSO

MP4(3)